summaryrefslogtreecommitdiff
path: root/source3/script/makeyodldocs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/makeyodldocs.sh')
-rwxr-xr-xsource3/script/makeyodldocs.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/source3/script/makeyodldocs.sh b/source3/script/makeyodldocs.sh
index def0af345f..51151ec353 100755
--- a/source3/script/makeyodldocs.sh
+++ b/source3/script/makeyodldocs.sh
@@ -55,6 +55,14 @@ do
exit 1
fi
cp $bn.html ../htmldocs || echo "Cannot create $YODLDIR/../htmldocs/$bn.html"
+#
+# Copy to SWAT directory.
+#
+ if [ $bn = "smb.conf.5" ]; then
+ rm -f ../../swat/help/smb.conf.5.html || echo "Cannot remove ../../swat/help/smb.conf.5.html"
+
+ cp $bn.html ../../swat/help || echo "Cannot copy smb.conf.5.html to ../../swat/help/smb.conf.5.html"
+ fi
rm -f $bn.html
;;
*)